### Function

# GObject ClassFinalizeFunc

since: 2.0

#### Declaration

    void
    (* GClassFinalizeFunc) (
      GObjectTypeClass* g_class,
      gpointer class_data
    )

#### Description

A callback function used by the type system to finalize a class.

This function is rarely needed, as dynamically allocated class resources should be handled by GBaseInitFunc() and GBaseFinalizeFunc().

Also, specification of a GClassFinalizeFunc() in the `GTypeInfo` structure of a static type is invalid, because classes of static types will never be finalized (they are artificially kept alive when their reference count drops to zero).

Available since: 2.0

#### Parameters

`g_class`

  Type: `GTypeClass`

  The `GTypeClass` structure to finalize.

  The data is owned by the caller of the function.

`class_data`

  Type: `gpointer`

  The `class_data` member supplied via the `GTypeInfo` structure.

  The argument can be `NULL`.
  The data is owned by the caller of the function.